import React, { useState } from 'react';
import { Layout, Drawer, Button } from 'antd';
import { Link } from 'react-router-dom';
import {
  MenuFoldOutlined,
  MenuUnfoldOutlined,
} from '@ant-design/icons';
import BrookslogoIcon from '../../assets/thob-data/BrookslogoIcon.svg';
import HomeIcon from '../../assets/thob-data/HomeIcon.svg';
import AddCustomerIcon from '../../assets/thob-data/AddCustomerIcon.svg';
import OrdersIcon from '../../assets/thob-data/OrdersIcon.svg';
import CategoriesIcon from '../../assets/thob-data/CategoriesIcon.svg';
import ProfileIcon from '../../assets/thob-data/ProfileIcon.svg';
import LogoutIcon from '../../assets/thob-data/LogoutIcon.svg';

const { Sider } = Layout;

const EmployeeSidebar = () => {
  const [visible, setVisible] = useState(false);

  const showDrawer = () => {
    setVisible(true);
  };

  const closeDrawer = () => {
    setVisible(false);
  };

  return (
    <>
      
      <Sider
        className="desktop-sidebar"
        breakpoint="lg"
        collapsedWidth="0"
        width={70}
        style={{ height: '100vh' }}
      >
        <div className="flex items-center justify-center h-16 w-16 m-5 bg-white" style={{ width: '40px', height: '40px', marginTop: '16px', marginLeft: '20px' }}>   
        <Link to="/employee" className="my-6">
            <img src={BrookslogoIcon} alt="Home" className="hover:opacity-75 sidebar-icon" />
          </Link>
        </div>
        <div className="flex flex-col items-center">
          <Link to="/employee/home" className="my-6">
            <img src={HomeIcon} alt="Home" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/categories" className="my-6">
            <img src={CategoriesIcon} alt="Categories" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/customers" className="my-6">
            <img src={AddCustomerIcon} alt="Add Customer" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/orders" className="my-6">
            <img src={OrdersIcon} alt="Orders" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/profile" className="my-6">
            <img src={ProfileIcon} alt="Profile" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/logout" className="my-6">
            <img src={LogoutIcon} alt="Logout" className="hover:opacity-75 sidebar-icon" />
          </Link>
        </div>
      </Sider>
    </>
  );
};

export default EmployeeSidebar;




